
// load ffmpeg & our libvideo 
olddir = pwd();

evp_libpath = get_absolute_file_path('EVP_loader.sce');
chdir( evp_libpath );

link(evp_libpath+'/libavcodec.so.51');
link(evp_libpath+'/libavformat.so.50');
link(evp_libpath+'/libavutil.so.0d');
functions=[ 'video_open';
            'video_close';
            'video_read_frame';
            'video_close_all';
            'video_info';
            'video_open_w';
            'video_close_w';
            'video_close_all_w';
            'video_write_frame';
];
addinter(evp_libpath+'/libvideo.so','libvideo',functions);


// load opencv & our libimg
link(evp_libpath + '/libcv.so');
link(evp_libpath + '/libcxcore.so');
link(evp_libpath + '/libhighgui.so');

functions=[ 'imread';
            'imwrite';
];
addinter(evp_libpath+'/libimg.so','libimg',functions);


// load our imdraw 

functions=[ 'imdraw';
            'init_preview';
            'close_preview';
];
addinter(evp_libpath+'/libimdraw.so','libimdraw',functions);

// load libfilter
functions=[ 'blur';
            'mosaic';
            'lap_sharp';
            'gauss_sharp';
];
addinter(evp_libpath+'/libfilter.so','libfilter',functions);

// load libtransform
functions=[ 'resize';
            'rotate';
            'rotate_4';
];
addinter(evp_libpath+'/libtransform.so','libtransform',functions);

clear evp_libpath;
clear functions;
chdir(olddir);
clear olddir;
